%define majver %(echo %version | cut -d. -f 1-2)
%define libver      3.0
%define binver      3.0.0
#%define atk_version        2.5.3
#%define glib_version       2.33.1
#%define pango_version      1.30.0
#%define cairo_version      1.10.0
#%define gdk_pixbuf_version 2.26.0

Name:          libgtk
Version:       3.22.4
Release:       1mamba
Summary:       The GIMP ToolKit (GTK+), a library for creating GUIs
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gtk.org
# bugfixes: http://ftp.acc.umu.se/pub/GNOME/sources/%{pkgname}
Source0:       http://ftp.gnome.org/pub/GNOME/sources/gtk+/%{majver}/gtk+-%{version}.tar.xz
Source1:       db2html
Source2:       im-cedilla.conf
# https://bugzilla.gnome.org/show_bug.cgi?id=583273
Patch0:        0001-New-tooltip-style.patch
Patch1:        libgtk3-fix-gtk-show-uri-crash.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libat-spi2-atk-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libatk-devel
BuildRequires: libbsd-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcolord-devel
BuildRequires: libcups-devel
BuildRequires: libdbus-devel
BuildRequires: libepoxy-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjson-glib-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: librest-devel
BuildRequires: libselinux-devel
BuildRequires: libthai-devel
BuildRequires: libuuid-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libcolord-devel >= 1.2.12-1mamba
##BuildRequires: libimsettings-devel
BuildRequires: bash
BuildRequires: binutils
BuildRequires: coreutils
BuildRequires: glib-dconf
BuildRequires: gettext-devel
BuildRequires: glib-gettextize
BuildRequires: libtasn1-devel
BuildRequires: python-glib
BuildRequires: gobject-introspection-devel
BuildRequires: colord-devel
BuildRequires: libkeyutils-devel
BuildRequires: libgcrypt-devel
BuildRequires: libglitz-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libjasper-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libat-spi2-atk-devel
BuildRequires: pkgconfig
BuildRequires: wayland-protocols
Requires(post):libglib
Requires(post):libgdk-pixbuf
Requires:      shared-mime-info
Provides:      gtk3 = %{?epoch:%epoch:}%{version}-%{release}
Provides:      gtk3+ = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgtk3
Obsoletes:     libgtk3
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# FIXME:
# checking for db2html... false
# checking libpapi... checking for papiServiceCreate in -lpapi... no
# checking if <X11/extensions/XIproto.h> is needed for xReply... no

#        GTK+ 3.0.0
#        ===========

#        GDK backends:         x11
#        X11 extensions:       XKB Xinerama XI2 XRANDR XFIXES Composite DAMAGE
#        Print backends:       file lpr cups
#        Dynamic modules:      yes
#        Included immodules:   none
#        PackageKit support:   yes
#        Introspection:        yes
#        Debugging:            minimum
#        Documentation:        no


%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating graphical user interfaces for the X Window System.
GTK+ was originally written for the GIMP (GNU Image Manipulation Program) image processing program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses GTK+, you'll need to have the gtk+ package installed.

%package devel
Summary:       Devel package for GTK+
Group:         Development/Libraries
Requires:      pkgconfig
Requires:      libglib-devel
Requires:      libatk-devel
Requires:      libcairo-devel
Requires:      libpango-devel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libgtk3-devel
Obsoletes:     libgtk3-devel

%description devel
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating graphical user interfaces for the X Window System.
GTK+ was originally written for the GIMP (GNU Image Manipulation Program) image processing program, but is now used by several other programs as well.

If you are planning on using the GIMP or another program that uses GTK+, you'll need to have the gtk+ package installed.

This package contains static libraries and header files need for development.

%package apidocs
Summary:       libgtk API documentation
Group:         Documentation
Requires:      gtk-doc
Provides:      libgtk3-apidocs
Obsoletes:     libgtk3-apidocs

%description apidocs
gtk+ API documentation.

#%package immodules
#Summary:       Input methods for GTK+
#Group:         System/Libraries
#Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
#Requires:      imsettings

#%description immodules
#The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating graphical user interfaces for the X Window System.
#GTK+ was originally written for the GIMP (GNU Image Manipulation Program) image processing program, but is now used by several other programs as well.

#If you are planning on using the GIMP or another program that uses GTK+, you'll need to have the gtk+ package installed.
#The %{name}-immodules package contains standalone input methods that are shipped as part of GTK+ 3.

%prep
%setup -q -n gtk+-%{version}
#-D -T
#:<< _EOF
#%patch0 -p1
#%patch1 -p1 -b .gtk-show-uri-gdk-screen

#sed -i "s|#!/usr/bin/env python|#!%{__python}|" gtk/gtk-builder-convert-%{libver}

%build
#:<< _EOF
#:<< ___EOF
#autoreconf -f
%configure \
  --enable-gtk2-dependency \
  --enable-xkb \
  --enable-xinerama \
  --enable-xinput \
  --enable-xrandr \
  --enable-xfixes \
  --enable-xcomposite \
  --enable-xdamage \
  --enable-x11-backend \
  --enable-wayland-backend

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall \
   RUN_QUERY_IMMODULES_TEST=false

install -d %{buildroot}%{_sysconfdir}/gtk-%{libver}

# todo mkdir p %{buildroot}%{_sysconfdir}/X11/xinit/xinput.d
# todo install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/xinit/xinput.d/im-cedilla.conf

touch %{buildroot}%{_libdir}/gtk-%{libver}/%{binver}/immodules.cache

# todo conflict with pkg libgtk vs 2.x
# mv %{buildroot}%{_bindir}/gtk-update-icon-cache %{buildroot}%{_bindir}/gtk-update-icon-cache-%{libver}
# mv %{buildroot}%{_mandir}/man1/gtk-update-icon-cache.1 %{buildroot}%{_mandir}/man1/gtk-update-icon-cache-%{libver}.1
rm -rf %{buildroot}%{_mandir}/man1/gtk-update-icon-cache.1*
# mv %{buildroot}%{_bindir}/gtk-builder-convert %{buildroot}%{_bindir}/gtk-builder-convert-%{libver}
# mv %{buildroot}%{_mandir}/man1/gtk-builder-convert.1 %{buildroot}%{_mandir}/man1/gtk-builder-convert-%{libver}.1

%find_lang gtk30
%find_lang gtk30-properties


%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-%{libver} --update-cache
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -gt 0 ]; then
  %{_bindir}/gtk-query-immodules-%{libver} --update-cache
fi
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans
FS=`stat -c %s %{_sysconfdir}/gtk-%{libver}/gtk-pixbuf.loaders 2>/dev/null`
[ "$FS" == "0" -o ! "$FS" ] && \
   %{_bindir}/gdk-pixbuf-query-loaders > %{_sysconfdir}/gtk-%{libver}/gdk-pixbuf.loaders
FS=`stat -c %s %{_sysconfdir}/gtk-%{libver}/gtk.immodules 2>/dev/null`
[ "$FS" == "0" -o ! "$FS" ] && \
   %{_bindir}/gtk-query-immodules-%{libver} > %{_sysconfdir}/gtk-%{libver}/gtk.immodules
exit 0

%files -f gtk30.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/gtk-%{libver}
%config(noreplace) %{_sysconfdir}/gtk-%{libver}/im-multipress.conf
%{_bindir}/gtk-launch
#sysconfdir}/X11/xinit/xinput.d/im-cedilla.conf
%{_bindir}/gtk-query-immodules-%{libver}
%{_bindir}/gtk-update-icon-cache
%{_bindir}/gtk-query-settings
%{_libdir}/libgailutil-*.so.*
%{_libdir}/libgdk-*.so.*
%{_libdir}/libgtk-*.so.*
%dir %{_libdir}/gtk-%{libver}
%dir %{_libdir}/gtk-%{libver}/%{binver}
%ghost %{_libdir}/gtk-%{libver}/%{binver}/immodules.cache
%dir %{_libdir}/gtk-%{libver}/%{binver}/immodules
%{_libdir}/gtk-%{libver}/%{binver}/immodules/im-*.la
%{_libdir}/gtk-%{libver}/%{binver}/immodules/im-*.so
#%dir %{_libdir}/gtk-%{libver}/modules
#%{_libdir}/gtk-%{libver}/modules/libferret.la
#%{_libdir}/gtk-%{libver}/modules/libferret.so
#%{_libdir}/gtk-%{libver}/modules/libgail.la
#%{_libdir}/gtk-%{libver}/modules/libgail.so
%dir %{_libdir}/gtk-%{libver}/%{binver}/printbackends
%{_libdir}/gtk-%{libver}/%{binver}/printbackends/libprintbackend-*.la
%{_libdir}/gtk-%{libver}/%{binver}/printbackends/libprintbackend-*.so
%{_libdir}/girepository-1.0/Gdk-%{libver}.typelib
%{_libdir}/girepository-1.0/GdkX11-%{libver}.typelib
%{_libdir}/girepository-1.0/Gtk-%{libver}.typelib
%{_datadir}/icons/hicolor/*/apps/gtk3-demo-symbolic.symbolic.png
%{_datadir}/icons/hicolor/*/apps/gtk3-widget-factory-symbolic.symbolic.png
%dir %{_datadir}/themes/Default/gtk-%{libver}
%{_datadir}/themes/Default/gtk-%{libver}/*
%dir %{_datadir}/themes/Emacs/gtk-%{libver}
%{_datadir}/themes/Emacs/gtk-%{libver}/*
#%dir %{_datadir}/themes/Raleigh/gtk-%{libver}
#%{_datadir}/themes/Raleigh/gtk-%{libver}/*
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.ColorChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.Debug.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.Settings.FileChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.exampleapp.gschema.xml
%{_mandir}/man1/broadwayd.1*
%{_mandir}/man1/gtk-query-immodules-%{libver}.1*
%{_mandir}/man1/gtk-launch.1*
%{_mandir}/man1/gtk-query-settings.1*
%doc AUTHORS COPYING

%files devel -f gtk30-properties.lang
%defattr(-,root,root)
%{_bindir}/gtk-builder-tool
%{_bindir}/gtk-encode-symbolic-svg
%{_bindir}/gtk3-demo
%{_bindir}/gtk3-demo-application
%{_bindir}/gtk3-icon-browser
%{_bindir}/gtk3-widget-factory
#%{_bindir}/gtk-builder-convert-%{libver}
#%dir %{_includedir}/gail-%{libver}/gail
#%{_includedir}/gail-%{libver}/gail/*.h
%dir %{_includedir}/gail-%{libver}/libgail-util
%{_includedir}/gail-%{libver}/libgail-util/*.h
%dir %{_includedir}/gtk-%{libver}
%dir %{_includedir}/gtk-%{libver}/gtk
%dir %{_includedir}/gtk-%{libver}/gtk/a11y
%{_includedir}/gtk-%{libver}/gtk/a11y/*.h
%dir %{_includedir}/gtk-%{libver}/gdk
%{_includedir}/gtk-%{libver}/gdk/*.h
%dir %{_includedir}/gtk-%{libver}/gdk/wayland
%{_includedir}/gtk-%{libver}/gdk/wayland/*.h
%dir %{_includedir}/gtk-%{libver}/gtk
%{_includedir}/gtk-%{libver}/gtk/*.h
%dir %{_includedir}/gtk-%{libver}/gtk/deprecated
%{_includedir}/gtk-%{libver}/gtk/deprecated/*.h
%dir %{_includedir}/gtk-%{libver}/unix-print
%dir %{_includedir}/gtk-%{libver}/unix-print/gtk
%{_includedir}/gtk-%{libver}/unix-print/gtk/*.h
%dir %{_includedir}/gtk-%{libver}/gdk/x11
%{_includedir}/gtk-%{libver}/gdk/x11/*.h
%dir %{_includedir}/gtk-%{libver}/gdk/deprecated
%{_includedir}/gtk-%{libver}/gdk/deprecated/gdkcolor.h
%{_libdir}/libgailutil-*.la
%{_libdir}/libgailutil-*.so
%{_libdir}/libgdk-*.la
%{_libdir}/libgdk-*.so
%{_libdir}/libgtk-*.la
%{_libdir}/libgtk-*.so
%{_datadir}/aclocal/gtk-%{libver}.m4
%{_datadir}/gettext/its/gtkbuilder.*
%{_datadir}/gir-1.0/Gdk-%{libver}.gir
%{_datadir}/gir-1.0/GdkX11-%{libver}.gir
%{_datadir}/gir-1.0/Gtk-%{libver}.gir
%{_datadir}/glib-2.0/schemas/org.gtk.Demo.gschema.xml
%{_datadir}/gtk-3.0/gtkbuilder.rng
%{_datadir}/applications/gtk3-icon-browser.desktop
%{_datadir}/icons/hicolor/*/apps/gtk3-demo.png
%{_datadir}/icons/hicolor/*/apps/gtk3-widget-factory.png
%{_datadir}/applications/gtk3-demo.desktop
%{_datadir}/applications/gtk3-widget-factory.desktop
%{_libdir}/pkgconfig/gail-%{libver}.pc
%{_libdir}/pkgconfig/gdk-%{libver}.pc
%{_libdir}/pkgconfig/gdk-x11-%{libver}.pc
%{_libdir}/pkgconfig/gtk+-%{libver}.pc
%{_libdir}/pkgconfig/gtk+-unix-print-%{libver}.pc
%{_libdir}/pkgconfig/gtk+-x11-%{libver}.pc
%{_libdir}/pkgconfig/gdk-wayland-%{libver}.pc
%{_libdir}/pkgconfig/gtk+-wayland-%{libver}.pc
%{_mandir}/man1/gtk-builder-tool.1*
%{_mandir}/man1/gtk-encode-symbolic-svg.1*
%{_mandir}/man1/gtk3-icon-browser.1*
%{_mandir}/man1/gtk3-widget-factory.1*
%{_mandir}/man1/gtk3-demo.1*
%{_mandir}/man1/gtk3-demo-application.1*
%doc ChangeLog HACKING NEWS README

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/gail-libgail-util3
%{_datadir}/gtk-doc/html/gail-libgail-util3/*
%dir %{_datadir}/gtk-doc/html/gdk3
%{_datadir}/gtk-doc/html/gdk3/*
%dir %{_datadir}/gtk-doc/html/gtk3
%{_datadir}/gtk-doc/html/gtk3/*

%changelog
* Sat Dec 03 2016 Automatic Build System <autodist@mambasoft.it> 3.22.4-1mamba
- automatic version update by autodist

* Tue Nov 08 2016 Automatic Build System <autodist@mambasoft.it> 3.22.3-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Thu Oct 06 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Thu Apr 28 2016 Automatic Build System <autodist@mambasoft.it> 3.21.1-1mamba
- automatic version update by autodist

* Tue Apr 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.3-2mamba
- rebuilt with --enable-wayland-backend (needed by gst-plugins-bad 1.8.0)

* Wed Apr 13 2016 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Sat Mar 26 2016 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Thu Mar 24 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.9-2mamba
- rebuilt by autoport with build requirements: libcolord-devel>=1.2.12-1mamba

* Thu Mar 10 2016 Automatic Build System <autodist@mambasoft.it> 3.18.9-1mamba
- automatic version update by autodist

* Thu Feb 25 2016 Automatic Build System <autodist@mambasoft.it> 3.18.8-1mamba
- automatic version update by autodist

* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 3.18.7-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Automatic Build System <autodist@mambasoft.it> 3.18.6-1mamba
- automatic version update by autodist

* Tue Nov 17 2015 Automatic Build System <autodist@mambasoft.it> 3.18.5-1mamba
- automatic version update by autodist

* Sun Nov 15 2015 Automatic Build System <autodist@mambasoft.it> 3.18.4-1mamba
- automatic version update by autodist

* Fri Sep 18 2015 Automatic Build System <autodist@mambasoft.it> 3.16.7-1mamba
- automatic version update by autodist

* Tue Jul 21 2015 Automatic Build System <autodist@mambasoft.it> 3.16.6-1mamba
- automatic version update by autodist

* Wed Jul 08 2015 Automatic Build System <autodist@mambasoft.it> 3.16.5-1mamba
- automatic version update by autodist

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 3.16.4-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Mon Apr 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.2-1mamba
- update to 3.16.2

* Fri Mar 20 2015 Automatic Build System <autodist@mambasoft.it> 3.14.9-1mamba
- automatic update by autodist

* Sun Feb 01 2015 Automatic Build System <autodist@mambasoft.it> 3.14.8-1mamba
- automatic version update by autodist

* Sun Jan 11 2015 Automatic Build System <autodist@mambasoft.it> 3.14.7-1mamba
- automatic version update by autodist

* Sat Dec 13 2014 Automatic Build System <autodist@mambasoft.it> 3.14.6-1mamba
- automatic version update by autodist

* Mon Nov 10 2014 Automatic Build System <autodist@mambasoft.it> 3.14.5-1mamba
- automatic version update by autodist

* Wed Oct 22 2014 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic version update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic version update by autodist

* Wed Oct 08 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Thu Oct 02 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Tue Apr 29 2014 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Sat Apr 12 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Jan 28 2014 Automatic Build System <autodist@mambasoft.it> 3.10.7-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 3.10.6-1mamba
- automatic version update by autodist

* Wed Nov 27 2013 Automatic Build System <autodist@mambasoft.it> 3.10.5-1mamba
- automatic version update by autodist

* Sat Nov 16 2013 Automatic Build System <autodist@mambasoft.it> 3.10.4-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 3.6.4-1mamba
- automatic version update by autodist

* Fri Jan 04 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 16 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 27 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Mon Aug 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.4-2mamba
- require shared-mime-info; if missing all images and more will be broken

* Sun Jul 15 2012 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Sat May 12 2012 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Thu May 03 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sat Apr 14 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Apr 03 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2011 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Sat Oct 15 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Thu Jul 28 2011 Automatic Build System <autodist@mambasoft.it> 3.0.12-1mamba
- automatic update by autodist

* Mon Jul 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.11-2mamba
- rename dconf requirement into glib-dconf

* Sun Jun 26 2011 Automatic Build System <autodist@mambasoft.it> 3.0.11-1mamba
- update to 3.0.11

* Mon May 23 2011 Automatic Build System <autodist@mambasoft.it> 3.0.10-1mamba
- automatic update by autodist

* Sat Apr 16 2011 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic update by autodist

* Mon Apr 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.8-1mamba
- update to 3.0.8
- renamed from libgtk3 to libgtk

* Mon Mar 14 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update by autodist

* Fri Feb 25 2011 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Mon Feb 14 2011 gil <puntogil@libero.it> 3.0.0-1mamba
- update to 3.0.0

* Sun Jan 30 2011 gil <puntogil@libero.it> 2.99.2-1mamba
- update to 2.99.2

* Mon Dec 06 2010 gil <puntogil@libero.it> 2.91.5-1mamba
- update to 2.91.5
- rename libgtk3

* Mon Nov 15 2010 Automatic Build System <autodist@mambasoft.it> 2.22.1-1mamba
- automatic update to 2.22.1 by autodist

* Mon Oct 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.22.0-1mamba
- update to 2.22.0

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-5mamba
- rebuilt with libpng 1.4

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 2.20.1-4mamba
- automatic rebuild by autodist

* Fri Jun 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-3mamba
- fixed typo in posttrans script
- added PreReq for libglib

* Sat May 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.1-2mamba
- added posttrans script to double check that modules files are not null

* Mon May 03 2010 Automatic Build System <autodist@mambasoft.it> 2.20.1-1mamba
- automatic update to 2.20.1 by autodist

* Fri Apr 02 2010 Automatic Build System <autodist@mambasoft.it> 2.20.0-1mamba
- automatic update to 2.20.0 by autodist

* Wed Mar 17 2010 Automatic Build System <autodist@mambasoft.it> 2.18.9-1mamba
- automatic update to 2.18.9 by autodist

* Tue Mar 16 2010 Automatic Build System <autodist@mambasoft.it> 2.18.8-1mamba
- automatic update to 2.18.8 by autodist

* Sun Mar 14 2010 Automatic Build System <autodist@mambasoft.it> 2.18.7-1mamba
- automatic update to 2.18.7 by autodist

* Mon Feb 01 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.6-3mamba
- added (brutal) patch to fix crash with nautilus and lxpanel

* Sat Jan 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.18.6-2mamba
- rebuilt with debug package

* Tue Jan 12 2010 Automatic Build System <autodist@mambasoft.it> 2.18.6-1mamba
- automatic update to 2.18.6 by autodist

* Wed Dec 09 2009 Automatic Build System <autodist@mambasoft.it> 2.18.5-1mamba
- automatic update to 2.18.5 by autodist

* Tue Dec 01 2009 Automatic Build System <autodist@mambasoft.it> 2.18.4-1mamba
- automatic update to 2.18.4 by autodist

* Sat Oct 17 2009 Automatic Build System <autodist@mambasoft.it> 2.18.3-1mamba
- automatic update to 2.18.3 by autodist

* Tue Oct 06 2009 Automatic Build System <autodist@mambasoft.it> 2.18.2-1mamba
- automatic update to 2.18.2 by autodist

* Thu Oct 01 2009 Automatic Build System <autodist@mambasoft.it> 2.18.1-1mamba
- automatic update to 2.18.1 by autodist

* Sun Sep 27 2009 Automatic Build System <autodist@mambasoft.it> 2.18.0-1mamba
- automatic update to 2.18.0 by autodist

* Fri Sep 11 2009 Automatic Build System <autodist@mambasoft.it> 2.16.6-1mamba
- automatic update to 2.16.6 by autodist

* Sat Jul 18 2009 Automatic Build System <autodist@mambasoft.it> 2.16.5-1mamba
- automatic update to 2.16.5 by autodist

* Mon Jul 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.4-3mamba
- added better patch to prevent loss of events (e.g. cut/paste)

* Thu Jul 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.4-2mamba
- added gdk_x11_atom_to_xatom_for_display_tra patch (http://bugzilla.gnome.org/show_bug.cgi?id=580511)

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 2.16.4-1mamba
- automatic update to 2.16.4 by autodist

* Sun Jun 28 2009 Automatic Build System <autodist@mambasoft.it> 2.16.3-1mamba
- automatic update to 2.16.3 by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 2.16.2-1mamba
- automatic update to 2.16.2 by autodist

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 2.16.1-2mamba
- automatic rebuild by autodist

* Sun Apr 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.1-1mamba
- automatic update to 2.16.1 by autodist

* Thu Mar 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.16.0-1mamba
- automatic update to 2.16.0 by autodist

* Thu Jan 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.7-1mamba
- automatic update to 2.14.7 by autodist

* Tue Dec 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.6-1mamba
- automatic update to 2.14.6 by autodist

* Tue Nov 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.5-1mamba
- automatic update to 2.14.5 by autodist

* Fri Nov 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.4-2mamba
- libgtk-devel: added requirement for libcairo-devel

* Sat Oct 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.4-1mamba
- automatic update to 2.14.4 by autodist

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.3-1mamba
- automatic update to 2.14.3 by autodist

* Fri Sep 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14.2-1mamba
- automatic update to 2.14.2 by autodist

* Fri Jul 04 2008 gil <puntogil@libero.it> 2.12.11-1mamba
- update to 2.12.11
- build with: glib-2.16.4-1mamba

* Thu Mar 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.9-1mamba
- update to 2.12.9

* Sat Dec 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.2-1mamba
- update to 2.12.2
- fix %%{includedir}/gtk related entries in devel files list

* Thu Sep 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-2mamba
- added workaround for flash plugin crash in konqueror and opera

* Wed Sep 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-1mamba
- update to 2.12.0

* Mon Mar 26 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.11-1qilnx
- update to version 2.10.11 by autospec

* Tue Jan 23 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.9-1qilnx
- update to version 2.10.9 by autospec

* Fri Jan 05 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.6-2qilnx
- new package for API documentation

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.6-1qilnx
- update to version 2.10.6 by autospec
- updated Xorg build requirements
- added build requirement for cups

* Tue Jul 04 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.17-4qilnx
- create gdk-pixbuf.loaders and gtk.immodules during package upgrade

* Thu May 25 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.17-3qilnx
- make symlink /usr/include/gtk point to /usr/include/gtk-2.0 simply

* Wed May 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.17-2qilnx
- add /usr/include/gtk symlink pointing to /usr/include/gtk-2.0/gtk

* Thu Apr 27 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.17-1qilnx
- update to version 2.8.17 by autospec

* Sun Mar 19 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.16-1qilnx
- update to version 2.8.16 by autospec
- added libgtk2 and gtk2 provides for compatibility with other distributions

* Mon Mar 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.14-1qilnx
- update to version 2.8.14 by autospec

* Tue Nov 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.8-1qilnx
- update to version 2.8.8 by autospec

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.7-1qilnx
- update to version 2.8.7 by autospec

* Fri Oct 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.6-2qilnx
- %{_bindir}/gdk-pixbuf-csource executable moved to devel package
- %{_libdir}/gtk-2.0/include moved to devel package
- gtk documentation moved to devel package
- man pages moved to devel package
- use %%find_lang

* Tue Oct 04 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.6-1qilnx
- update to version 2.8.6 by autospec

* Wed Sep 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.4-1qilnx
- update to version 2.8.4 by autospec

* Wed Sep 14 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.8.3-1qilnx
- update to version 2.8.3 by autospec

* Wed Aug 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.9-1qilnx
- update to version 2.6.9 by autospec

* Fri Jun 17 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.8-1qilnx
- update to version 2.6.8 by autospec

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.7-1qilnx
- update to version 2.6.7 by autospec

* Tue Apr 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.6-1qilnx
- update to version 2.6.6 by autospec

* Tue Apr 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.0-2qilnx
- fix security issue QSA-2005-040 (CAN-2005-0891)
- specfile updates
- added missing build requirements

* Mon Dec 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1qilnx
- update to version 2.6.0 by autospec

* Tue Jul 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.4-1qilnx
- new version build

* Mon Jun 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-3qilnx
- added missing %%defattr for devel package

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-2qilnx
- added creation of gtk.immodules on %%post and %%postun scripts

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.3-1qilnx
- new version build

* Fri Nov 21 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-3qilnx
- moved /usr/share/gtk-2.0/demo files from devel to main package

* Mon Nov 03 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-2qilnx
- removed XFree-pkgconfig dependancy now that libfontconfig is stand-alone

* Mon Oct 27 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.4-1qilnx
- new version rebuild

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.1-2qilnx
- added devel package requirements
- added gdk-pixbuf.loaders automatic creation

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.2.1-1qilnx
- creation of gtk package
